'use strict';

var Hjson = require('hjson');
const fs = require('fs');

// -----------------------------------------------------------------------------------
// UWAGA!
// Od wersji 2.5 wszystkie zmiany konfiguracyjne naley wprowadza w pliku config.json
// -----------------------------------------------------------------------------------
console.log('Prepare to read config.json');
let rawdata = fs.readFileSync('config.json');
const config = Hjson.parse(rawdata.toString('utf8'));
config['buildversion'] = '3.5-beta';
console.log('Config successfully loaded from file config.json');
console.log('Build version: ' + config['buildversion']);

module.exports = config;
